summaryrefslogtreecommitdiff
path: root/plugins/git-auto-fetch
diff options
context:
space:
mode:
authorTuowen Zhao <ztuowen@gmail.com>2019-11-21 09:04:33 -0700
committerTuowen Zhao <ztuowen@gmail.com>2019-11-21 09:04:33 -0700
commit9c851a9b820a70b8d23dee0b51220d009e749cec (patch)
treec753688ce9392dc24043cb2f3072d0fec9faab7c /plugins/git-auto-fetch
parent1ffd2849fc056dced0c80a9ed8905f29ff9827a5 (diff)
parent1c98b9cc38d34647f1d6357919a0f4e1d5ebd4cd (diff)
downloadzsh-9c851a9b820a70b8d23dee0b51220d009e749cec.tar.gz
zsh-9c851a9b820a70b8d23dee0b51220d009e749cec.tar.bz2
zsh-9c851a9b820a70b8d23dee0b51220d009e749cec.zip
Merge branch 'master' of https://github.com/robbyrussell/oh-my-zsh
Diffstat (limited to 'plugins/git-auto-fetch')
-rw-r--r--plugins/git-auto-fetch/git-auto-fetch.plugin.zsh11
1 files changed, 6 insertions, 5 deletions
diff --git a/plugins/git-auto-fetch/git-auto-fetch.plugin.zsh b/plugins/git-auto-fetch/git-auto-fetch.plugin.zsh
index 56ab86dbe..5c42c21a7 100644
--- a/plugins/git-auto-fetch/git-auto-fetch.plugin.zsh
+++ b/plugins/git-auto-fetch/git-auto-fetch.plugin.zsh
@@ -1,16 +1,17 @@
GIT_AUTO_FETCH_INTERVAL=${GIT_AUTO_FETCH_INTERVAL:=60}
function git-fetch-all {
- (`git rev-parse --is-inside-work-tree 2>/dev/null` &&
- dir=`git rev-parse --git-dir` &&
+ (`command git rev-parse --is-inside-work-tree 2>/dev/null` &&
+ dir=`command git rev-parse --git-dir` &&
[[ ! -f $dir/NO_AUTO_FETCH ]] &&
(( `date +%s` - `date -r $dir/FETCH_LOG +%s 2>/dev/null || echo 0` > $GIT_AUTO_FETCH_INTERVAL )) &&
- git fetch --all 2>/dev/null &>! $dir/FETCH_LOG &)
+ GIT_SSH_COMMAND="command ssh -o BatchMode=yes" \
+ command git fetch --all 2>/dev/null &>! $dir/FETCH_LOG &)
}
function git-auto-fetch {
- `git rev-parse --is-inside-work-tree 2>/dev/null` || return
- guard="`git rev-parse --git-dir`/NO_AUTO_FETCH"
+ `command git rev-parse --is-inside-work-tree 2>/dev/null` || return
+ guard="`command git rev-parse --git-dir`/NO_AUTO_FETCH"
(rm $guard 2>/dev/null &&
echo "${fg_bold[green]}enabled${reset_color}") ||